### Method

# GUPnP ServiceInfo get_udn

#### Declaration [src]

    const char*
    gupnp_service_info_get_udn (
      GUPnPServiceInfo* info
    )

#### Description [src]

Get the Unique Device Name of the containing device.

Gets property | `GUPnP.ServiceInfo:udn`

#### Return value

Returns: | `const char*`
| A constant string.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.